/// <reference types="node" />
import { EventEmitter } from 'events';
import { Config } from '../../types';
export default class Pool extends EventEmitter {
    private browser;
    private maxRetries;
    private config;
    private workers;
    private queue;
    private forcedStop;
    private failFast;
    get isRunning(): boolean;
    constructor(config: Config, browser: string);
    init(): Promise<void>;
    start(tests: {
        id: string;
        path: string[];
    }[]): boolean;
    stop(): void;
    process(): void;
    private sendStatus;
    private getFreeWorker;
    private get aliveWorkers();
    private get freeWorkers();
    private forkWorker;
    private exitHandler;
    private gracefullyKill;
    private shouldRetry;
    private handleTestResult;
    private subscribe;
}
